设为首页 加入收藏

TOP

不受支持的 Mac 上的通用控制(现已支持 macOS Ventura)(一)
2023-07-23 13:25:55 】 浏览:357
Tags:支持的 Mac 通用控 支持 macOS Ventura

现已支持 macOS Ventura

请访问原文链接:不受支持的 Mac 上的通用控制,查看最新版。原创作品,转载请保留出处。

作者主页:www.sysin.org


本文为 在不受支持的 Mac 上安装 macOS Ventura、Monterey、Big Sur (OpenCore Legacy Patcher) 的补充章节。2023-01-07,现已更新支持 Ventura。

如果说 macOS 10 系列升级到 macOS Big Sur 的首要理由是卓越的现代用户界面,那么 Big Sur 升级到 Monterey 的首要理由就是 “通用控制”。Ventura 继续保持该卓越特性并向下兼容。

通用控制:使用同一键盘和鼠标操控 Mac 和 iPad
使用 Mac 的键盘、鼠标或触控板可控制附近的最多两台其他 Mac 或 iPad 设备,并在它们之间无缝操控。

img

使用“通用控制”时,每台设备都会显示自己的屏幕和 App,但你只需使用一个键盘、鼠标或触控板,即可在设备之间移动指针,向不同设备中键入内容,甚至在设备之间拷贝内容。

如果你希望通过 iPad 来扩展或镜像 Mac 桌面,请使用“随航”功能。

通用控制是什么

2022 年 3 月 15 日凌晨推送的 macOS Monterey? 12.3 是一个重大更新,它引入了 Universal Control(通用控制),这是 Apple 首先在 WWDC 上公布的一项功能,然后推迟了几个月。?Universal Control? 旨在让您使用单个鼠标、触控板和键盘控制多台 Mac 和 iPad(运行 iPadOS 15.4 及以上版本的 iPad),并且通过拖放方式在不同设备之间传输文件 (sysin)。

将您的设备更新到 macOS 12.3 和 iPadOS 15.4 后,?Universal Control? 会自动启用(设置选项:系统偏好设置 > 显示器,“通用控制…” 按钮),允许您的 Mac 的光标和键盘在 iPad 上工作,反之亦然。使用起来简单直观(除了 Mac+iPad,Mac+Mac 也可以。至少有一台 Mac,可以同时控制多台 Mac 和 iPad)。

macOS Monterey? 12.4 中的通用控制已经没有 beta 字符,正式发布。

官方系统要求:通用控制要求所有设备在各自的硬件上运行 iPadOS 15.4 和 macOS Monterey 12.3 或更高版本才能工作。适用于 MacBook Pro (2016 年及后续机型)、MacBook (2016 年及后续机型)、MacBook Air (2018 年及后续机型)、iMac (2017 年及后续机型)、iMac (27 英寸配备 5K 视网膜显示屏,2015 年末机型)、iMac Pro、Mac mini (2018 年及后续机型) 和 Mac Pro (2019 年机型);以及 iPad Pro、iPad Air (第三代及后续机型)、iPad (第六代及后续机型)和 iPad mini (第五代及后续机型)。两台设备均须使用同一个 Apple ID 通过双重认证登录 iCloud。若要无线使用此功能,则两台设备均须开启蓝牙、无线局域网和接力功能,相互之间距离不得超过 10 米 (30 英尺),且 iPad 和 Mac 不可共享同一蜂窝网络或互联网连接。若要通过 USB 连接线使用此功能,则必须在 iPad 上选择信任 Mac 设备。

本文介绍的是在不受支持的 Mac 机型上启用 “通用控制”。

Universal Control 在 macOS Monterey 中引入,是一项允许 Mac 控制其他 Mac 和/或 iPad、共享输入设备以及同时在它们之间共享文件的功能。借助 OpenCore 和 FeatureUnlock,只要符合技术要求 (sysin),即可为大多数不受支持的 Mac 解锁 Universal Control。

  • 注意:以下内容主要针对 Mac 爱好者,不受 Apple 官方支持。

启用通用控制

前提条件:在不受支持的 Mac 上安装 macOS Ventura、Monterey、Big Sur (OpenCore Legacy Patcher)

如果系统满足所有要求,在大多数情况下,可以转系统偏好设置中的显示器并勾选通用控制设置来启用它。如果您打算在 iPad 上使用 Universal Control,请确保在 iPad 上也启用 Universal Control。

显示器(系统偏好设置) 通用控制设置
img OCLP GUI 构建完成

Ventura:系统设置 - 显示器,“高级…” 按钮。

大多数 Mac 2011 及更高版本应该可以开箱即用 (sysin)。但是,像 2008-2011 MacBook Pro 这样的旧 Mac 需要升级到更新的 Wi-Fi/蓝牙卡。参看下文描述。

一些 Monterey 原生机型被列入黑名单,请查看下文列入黑名单的机型部分了解更多信息。

通用控制系统要求

技术要求:

  • Wi-Fi 4 (802.11n)
  • 蓝牙 4.0
  • macOS Monterey 12.4 或更高版本
  • iPadOS 15.4 或更新版本(如果适用)
  • OpenCore Legacy Patcher 0.4.3 或更新版本

检查下述型号列表确认是否需要升级硬件 (sysin),以及有问题的 Mac 确切地需要更改哪些硬件。

其他需求:

  • 所有设备都登录到同一个 iCloud 帐户。
  • 确保您的 Apple ID 启用双因素身份验证。
  • 启用蓝牙和 Wi-Fi,只要启用无需连接操作。
  • Handoff(接力)已经打开。
  • 所述设备应相互靠近。

机型列表

此表显示了哪些型号支持和不支持开箱即用 (OOB) 的通用控制 (UC) 以及获得支持所需的条件。

Spoofing 意为欺骗或者仿冒,本文使用原词汇,不再翻译。

MacBook
SMBIOS Wi-Fi/BT version UC OOB Comment
MacBook4,1 Wi-Fi 4 / BT 2.0 EDR NO 使用 Mac Pro Wi-Fi 升级套件升级到 BCM94360
MacBook5,1
MacBook5,2 Wi-Fi 4 / BT 2.1 EDR
MacBook6,1 升级到 BCM94360
MacBook7,1
MacBook8,1 Wi-Fi 5 + BT 4.0 YES Universal Control 工作正常
MacBook Air
SMBIOS Wi-Fi/BT version UC OOB Comment
MacBookAir2,1 Wi-Fi 4 / BT 2.1 EDR NO 将卡更换为 BCM94360 并断开/禁用 BT 模块
MacBookAir3,1
MacBookAir3,2
MacBookAir4,1 Wi-Fi 4 + BT 4.0 YES Universal Control 工作正常
MacBookAir4,2
MacBookAir5,1
MacBookAir5,2
MacBookAir6,1 Wi-Fi 5 + BT 4.0
MacBookAir6,2
MacBookAir7,1 NO 硬件支持 UC,需要 Spoofing (sysin)
MacBookAir7,2
MacBook Pro
SMBIOS Wi-Fi/BT version UC OOB Comment
MacBookPro4,1 Wi-Fi 4 / BT 2.1 EDR NO 使用 Mac Pro Wi-Fi 升级套件升级到 BCM94360
MacBookPro5,
首页 上一页 1 2 3 下一页 尾页 1/3/3
】【打印繁体】【投稿】【收藏】 【推荐】【举报】【评论】 【关闭】 【返回顶部
上一篇Mac上优秀的虚拟机软件推荐 PD Pa.. 下一篇macOS Ventura 13.0 (22A380) Boo..

最新文章

热门文章

Hot 文章

Python

C 语言

C++基础

大数据基础

linux编程基础

C/C++面试题目